import { renderless, api } from '@opentinyvue/vue-renderless/time-line-new/vue';
import { defineComponent, props, setup } from '@opentinyvue/vue-common';
import '@opentinyvue/vue-theme-mobile/steps/index.css';

function normalizeComponent(scriptExports, render, staticRenderFns, functionalTemplate, injectStyles, scopeId, moduleIdentifier, shadowMode) {
  var options = typeof scriptExports === "function" ? scriptExports.options : scriptExports;
  if (render) {
    options.render = render;
    options.staticRenderFns = staticRenderFns;
    options._compiled = true;
  }
  var hook;
  if (injectStyles) {
    hook = injectStyles;
  }
  if (hook) {
    if (options.functional) {
      options._injectStyles = hook;
      var originalRender = options.render;
      options.render = function renderWithStyleInjection(h, context) {
        hook.call(context);
        return originalRender(h, context);
      };
    } else {
      var existing = options.beforeCreate;
      options.beforeCreate = existing ? [].concat(existing, hook) : [hook];
    }
  }
  return {
    exports: scriptExports,
    options
  };
}

var __vue2_script = defineComponent({
  props: [].concat(props, ["nameField", "timeField", "data", "space"]),
  setup: function setup$1(props2, context) {
    return setup({
      props: props2,
      context,
      renderless,
      api
    });
  }
});
var render = function render2() {
  var _vm = this;
  var _h = _vm.$createElement;
  var _c = _vm._self._c || _h;
  return _c("div", {
    class: ["tiny-mobile-timeline"]
  }, _vm._l(_vm.state.nodes, function(node, index) {
    return _c("div", {
      key: index,
      class: ["tiny-mobile-timeline__item", node.status],
      style: {
        height: index === _vm.state.nodes.length - 1 ? "" : _vm.space ? _vm.space + "px" : "88px"
      }
    }, [_c("ul", {
      staticClass: "tiny-mobile-timeline__list"
    }, [_vm._t("left", function() {
      return [_c("li", {
        staticClass: "tiny-mobile-timeline__date-time"
      }, [_c("span", {
        staticClass: "tiny-mobile-timeline__date"
      }, [_vm._v(_vm._s(_vm.getDate(node[_vm.timeField]).date))]), _c("span", {
        staticClass: "tiny-mobile-timeline__time"
      }, [_vm._v(_vm._s(_vm.getDate(node[_vm.timeField]).time))])])];
    }, {
      "slotScope": node
    }), _c("li", {
      staticClass: "tiny-mobile-timeline__line",
      style: {
        height: index === _vm.state.nodes.length - 1 ? "" : _vm.space ? _vm.space + "px" : "88px"
      }
    }, [_c("div", {
      staticClass: "tiny-mobile-timeline__icon"
    })]), _vm._t("right", function() {
      return [_c("li", {
        staticClass: "tiny-mobile-timeline__content"
      }, [_c("div", [_c("span", {
        staticClass: "tiny-mobile-timeline__title"
      }, [_vm._v(_vm._s(node[_vm.nameField]))]), _c("span", {
        staticClass: "tiny-mobile-timeline__cycle"
      }, [_vm._v(_vm._s(node.cycle))])]), _c("div", [_c("span", {
        staticClass: "tiny-mobile-timeline__user"
      }, [_vm._v(_vm._s(node.personInfo))]), _c("span", {
        staticClass: "tiny-mobile-timeline__tip"
      }, [_vm._v(_vm._s(node.overdue))])])])];
    }, {
      "slotScope": node
    })], 2)]);
  }), 0);
};
var staticRenderFns = [];
var __cssModules = {};
var __component__ = /* @__PURE__ */ normalizeComponent(__vue2_script, render, staticRenderFns, false, __vue2_injectStyles);
function __vue2_injectStyles(context) {
  for (var o in __cssModules) {
    this[o] = __cssModules[o];
  }
}
var mobile = /* @__PURE__ */ function() {
  return __component__.exports;
}();

export { mobile as default };
